<?php
//https://codepen.io/auntyginger/pen/adpvoB
if(function_exists('vc_map')) {
	add_action( 'init', 'mascot_core_novio_reg_shortcodes_timeline_cp_responsive_vertical', 998 );
}
function mascot_core_novio_reg_shortcodes_timeline_cp_responsive_vertical() {
	class WPBakeryShortCode_tmvc_Timeline_CP_Responsive_Vertical  extends WPBakeryShortCodesContainer {}
	vc_map( array(
		"name" =>  __( 'Timeline - Responsive Vertical (CP)', 'mascot-core' ),
		"base" => "tmvc_timeline_cp_responsive_vertical",
		"as_parent" => array('only' => 'tmvc_timeline_cp_responsive_vertical_each_block'),
		"content_element" => true,
		"category" => esc_html__( 'by TM', 'mascot-core' ),
		"icon" => 'mascot-vc-icons vc-icon-timeline-cp-res-ver',
		"show_settings_on_create" => false,
		"js_view" => 'VcColumnView',
		'params' => array(
		)
	) );


	class WPBakeryShortCode_tmvc_Timeline_CP_Responsive_Vertical_Each_Block  extends WPBakeryShortCodesContainer {}
	vc_map( array(
		"name" =>  __( 'Each Timeline Block', 'mascot-core' ),
		"base" => "tmvc_timeline_cp_responsive_vertical_each_block",
		"as_parent" => array('only' => 'tmvc_timeline_cp_responsive_vertical_each_block_content'),
		"as_child" => array('only' => 'tmvc_timeline_cp_responsive_vertical'),
		"content_element" => true,
		"category" => esc_html__( 'by TM', 'mascot-core' ),
		"icon" => 'mascot-vc-icons vc-icon-timeline-cp-res-ver-b',
		"show_settings_on_create" => true,
		"js_view" => 'VcColumnView',
		"params" => array(
			array(
				'type'			=> 'dropdown',
				"heading"		=> esc_html__( "Horizontal Position", 'mascot-core' ),
				"param_name"	=> "position",
				"description"	=> esc_html__( 'Horizontal Position of content.', 'mascot-core' ),
				'value'			=> array(
					esc_html__( 'Left', 'mascot-core' )		=> 'left',
					esc_html__( 'Right', 'mascot-core' )	=> 'right',
				),
				'admin_label'   => true,
				'save_always'   => true,
			),
			array(
				'type'			=> 'textarea',
				"heading"		=> esc_html__( "Opposite Part Text", 'mascot-core' ),
				"param_name"	=> "text_opposite_part",
				'admin_label'   => true,
			),
			array(
				'type'			=> 'checkbox',
				"heading"		=> esc_html__( "Move (Opposite Part Text) into Midpoint?", 'mascot-core' ),
				"param_name"	=> "move_text_to_midpoint",
				'description'	=> '',
				'admin_label'   => true,
			),
			array(
				'type'			=> 'checkbox',
				"heading"		=> esc_html__( "Highlight Midpoint?", 'mascot-core' ),
				"param_name"	=> "highlight_midpoint",
				'description'	=> '',
				'admin_label'   => true,
			),
		)
	) );





	class WPBakeryShortCode_tmvc_Timeline_CP_Responsive_Vertical_Each_Block_Content  extends WPBakeryShortCodesContainer {}
	vc_map( array(
		"name" =>  __( 'Timeline Content', 'mascot-core' ),
		"base" => "tmvc_timeline_cp_responsive_vertical_each_block_content",
		"as_parent" => array('except' => 'vc_row, vc_accordion'),
		"as_child" => array('only' => 'tmvc_timeline_cp_responsive_vertical_each_block'),
		"content_element" => true,
		"category" => esc_html__( 'by TM', 'mascot-core' ),
		"icon" => 'mascot-vc-icons vc-icon-timeline-cp-res-ver-c',
		"show_settings_on_create" => true,
		"js_view" => 'VcColumnView',
		"params" => array(
			array(
				"type"			=> 'dropdown',
				"heading"		=> esc_html__( "Text Typography", 'mascot-core' ) ,
				"param_name"	=> "section_typo",
				"description"	=> esc_html__( "Define the color typography of the text of this block.", 'mascot-core' ) ,
				"value" => array(
					esc_html__( 'Default', 'mascot-core' ) => '',
					esc_html__( 'Light Text - on Dark Background', 'mascot-core' ) => 'section-typo-light',
					esc_html__( 'Dark Text - on White Background', 'mascot-core' ) => 'section-typo-dark',
				) ,
				"weight" => "99"
			),
			mascot_core_novio_vc_add_css_editor(),
		)
	) );
}



//responsive vertical timeline CP
wp_register_style( 'timeline-cp-responsive-vertical', MASCOT_CORE_TEMPLATE_URI . '/assets/js/plugins/timeline-cp-responsive-vertical/timeline-cp-responsive-vertical.css' );
wp_register_style( 'timeline-cp-responsive-vertical-rtl', MASCOT_CORE_TEMPLATE_URI . '/assets/js/plugins/timeline-cp-responsive-vertical/timeline-cp-responsive-vertical-rtl.css' );