<?php
namespace MASCOTCORENOVIO\Lib;

/**
 * interface Mascot_Core_Novio_Interface_PTShortcodes
 * @package MASCOTCORENOVIO\Lib;
 */
interface Mascot_Core_Novio_Interface_PTShortcodes {
	/**
	 * Returns base for shortcode
	 * @return string
	 */
	public function getBase();

	/**
	 * Renders shortcodes HTML
	 *
	 * @param $atts array of shortcode params
	 * @param $content string shortcode content
	 * @return string
	 */
	public function render($atts, $content = null);
}